default: &default
  janitorial_service:
    regular_working_duration: 30600 #8 hours and 30 minutes
    regular_meal_duration: 1800 #30 minutes
    trip_exception_theresholds:
      early_check_in: 840       #14 minutes before scheduled start time
      late_check_in:  360       #6 minutes after scheduled start time
      early_check_out: 300      #5 minutes before end time
      late_check_out: 900       #15 minutes after end time
      no_check_in_or_no_check_out: 43200        #12 hours
    maximum_sites: 0
  equipment_based_service:
    regular_working_duration: 28800 #8 hours
    regular_meal_duration: 0 #0 minutes
    trip_exception_theresholds:
      early_check_in: 840       #14 minutes before scheduled start time
      late_check_in:  1200       #20 minutes after scheduled start time
      early_check_out: 300      #5 minutes before end time
      late_check_out: 900       #15 minutes after end time
      no_check_in_or_no_check_out: 28800        #8 hours
    maximum_sites: 1
  models: &models
    company_client:
      send_email: false
    labor_rate_type:
      'Regular':
        schedules:
          -
            days: [mon, tue, wed, thu, fri]
            start_time: 32400
            end_time: 61200
            dates:
      'Overtime':
        schedules:
          - 
            days: [mon, tue, wed, thu, fri, sat]
            start_time: 61200
            end_time: 32400
            dates: 
      'Double / Holiday':
        schedules:
          -
            days: [sun]
            start_time: 0
            end_time: 24 * 86400
          -
            dates:
              - "2018-11-22"
              - "2018-11-23"
              - "2018-12-24"
              - "2018-12-25"
              - "2018-12-31"
  subdomains:
    rael:
      models:
        company_client:
          external_id_required: true
        invoice:
          number_prefix: 'RA'
        labor_rate_type:
          'Regular':
            schedules:
              -
                days: [mon, tue, wed, thu, fri]
                start_time: 27000
                end_time: 57600
                dates:
          'Overtime':
            schedules:
              - 
                days: [mon, tue, wed, thu, fri, sat]
                start_time: 57600
                end_time: 27000
                dates: 
          'Double / Holiday':
            schedules:
              -
                days: [sun]
                start_time: 0
                end_time: 24 * 86400
              -
                dates:
                  - "2018-11-22"
                  - "2018-11-23"
                  - "2018-12-24"
                  - "2018-12-25"
                  - "2018-12-31"
  
      
development:
  <<: *default

test:
  <<: *default

# Do not keep production secrets in the repository,
# instead read values from the environment.
production:
  <<: *default

staging:
  <<: *default
